<?php
require_once "connect.php";
require_once 'inc/usuario.php';

checkLogin('login.php');

$id_usuario = 1;
$st_ativo		= 1;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

// dados do post
if(isset($_POST['id'])){
    $id 			= $_POST['id'];
}

$tp_tipo = trim($_POST['tp_tipo']);
$ds_tipo = trim($_POST['ds_tipo']);
$fl_gera_duplicata = trim($_POST['fl_gera_duplicata']);
$fl_atualiza_estoque = trim($_POST['fl_atualiza_estoque']);
$id_tipo_devolucao = trim($_POST['id_tipo_devolucao']);
$fl_atualiza_preco_compra = trim($_POST['fl_atualiza_preco_compra']);
$fl_atualiza_origem = trim($_POST['fl_atualiza_origem']);
$ds_cfop = trim($_POST['ds_cfop']);
$fl_calcula_icms = trim($_POST['fl_calcula_icms']);
$fl_calcula_ipi = trim($_POST['fl_calcula_ipi']);
$fl_calcula_iss = trim($_POST['fl_calcula_iss']);
$id_agrega_solidario = trim($_POST['id_agrega_solidario']);
$fl_desp_ac_ipi = trim($_POST['fl_desp_ac_ipi']);
$fl_credita_ipi = trim($_POST['fl_credita_ipi']);
$nr_perc_reducao_ipi = trim($_POST['nr_perc_reducao_ipi']);
$nr_perc_reducao_icms = trim($_POST['nr_perc_reducao_icms']);
$id_situacao_tributaria = trim($_POST['id_situacao_tributaria']);
// $erpc_tipos_movimentacaocol = trim($_POST['erpc_tipos_movimentacaocol']);
$id_agrega_valor = trim($_POST['id_agrega_valor']);
$id_pis_cofins = trim($_POST['id_pis_cofins']);
$fl_credita_pis_cofins = trim($_POST['fl_credita_pis_cofins']);
$id_livros_fiscais_icms = trim($_POST['id_livros_fiscais_icms']);
$id_livros_fiscais_ipi = trim($_POST['id_livros_fiscais_ipi']);
$fl_pis_cofins_total = trim($_POST['fl_pis_cofins_total']);
$fl_retem_iss = trim($_POST['fl_retem_iss']);
$fl_calcula_icm_frete = trim($_POST['fl_calcula_icm_frete']);
$fl_retem_pis = trim($_POST['fl_retem_pis']);
$fl_retem_cof = trim($_POST['fl_retem_cof']);
$id_poder_terceiros = trim($_POST['id_poder_terceiros']);
$fl_retem_irrf = trim($_POST['fl_retem_irrf']);
$fl_retem_inss = trim($_POST['fl_retem_inss']);
$fl_retem_csll = trim($_POST['fl_retem_csll']);
$fl_calcula_irrf = trim($_POST['fl_calcula_irrf']);
$fl_calcula_inss = trim($_POST['fl_calcula_inss']);
$fl_calcula_csll = trim($_POST['fl_calcula_csll']);
$id_natureza_nfse = trim($_POST['id_natureza_nfse']);
$fl_calcula_funr = trim($_POST['fl_calcula_funr']);
$fl_retem_funr = trim($_POST['fl_retem_funr']);
$nr_perc_reducao_icms_st = trim($_POST['nr_perc_reducao_icms_st']);
$fl_desp_ac_icms = trim($_POST['fl_desp_ac_icms']);
// $tp_pagamento_imposto = trim($_POST['tp_pagamento_imposto']);
$fl_desconto_condicional = trim($_POST['fl_desconto_condicional']);
// $erpc_tipos_movimentacaocol1 = trim($_POST['erpc_tipos_movimentacaocol1']);
$id_pagamento_imposto = trim($_POST['id_pagamento_imposto']);
$id_dom_csosn = trim($_POST['id_dom_csosn']);
$ds_icms_st_mt = trim($_POST['ds_icms_st_mt']);
$ds_ipi_bc = trim($_POST['ds_ipi_bc']);
$fl_icms_diferido = trim($_POST['fl_icms_diferido']);
$nr_perc_icms_dif = trim($_POST['nr_perc_icms_dif']);
$nr_perc_red_iss = trim($_POST['nr_perc_red_iss']);
$ds_ajuste_ciap = trim($_POST['ds_ajuste_ciap']);
$ds_info_st_anterior = trim($_POST['ds_info_st_anterior']);
$ds_mat_consumo = trim($_POST['ds_mat_consumo']);
$ds_cofins_zfranca = trim($_POST['ds_cofins_zfranca']);
$ds_pis_zfranca = trim($_POST['ds_pis_zfranca']);
$ds_ipi_bruto = trim($_POST['ds_ipi_bruto']);
$ds_natureza_operacao = trim($_POST['ds_natureza_operacao']);
$id_motivo_desoneracao = trim($_POST['id_motivo_desoneracao']);
$erpc_dom_sit_trib_pis_id = trim($_POST['erpc_dom_sit_trib_pis_id']);
$erpc_dom_sit_trib_cof_id = trim($_POST['erpc_dom_sit_trib_cof_id']);


/* limpa campos antes da execução
$nr_cpf = preg_replace("/[^0-9]/", "", $nr_cpf);
$nr_cep = preg_replace("/[^0-9]/", "", $nr_cep);
$nr_residencia = preg_replace("/[^0-9]/", "", $nr_residencia);

IF($nr_residencia==""){$nr_residencia="null";}
*/
// monta sql com os campos
if(isset($_POST['editar'])) {
  $sql = "update erpc_tipos_movimentacao set tp_tipo='$tp_tipo'
          ,ds_tipo='$ds_tipo'
          ,fl_gera_duplicata='$fl_gera_duplicata'
          ,fl_atualiza_estoque='$fl_atualiza_estoque'
          ,id_tipo_devolucao='$id_tipo_devolucao'
          ,fl_atualiza_preco_compra='$fl_atualiza_preco_compra'
          ,fl_atualiza_origem='$fl_atualiza_origem'
          ,ds_cfop='$ds_cfop'
          ,fl_calcula_icms='$fl_calcula_icms'
          ,fl_calcula_ipi='$fl_calcula_ipi'
          ,fl_calcula_iss='$fl_calcula_iss'
          ,id_agrega_solidario='$id_agrega_solidario'
          ,fl_desp_ac_ipi='$fl_desp_ac_ipi'
          ,fl_credita_ipi='$fl_credita_ipi'
          ,nr_perc_reducao_ipi='$nr_perc_reducao_ipi'
          ,nr_perc_reducao_icms='$nr_perc_reducao_icms'
          ,id_situacao_tributaria='$id_situacao_tributaria'
          ,id_agrega_valor='$id_agrega_valor'
          ,id_pis_cofins='$id_pis_cofins'
          ,fl_credita_pis_cofins='$fl_credita_pis_cofins'
          ,id_livros_fiscais_icms='$id_livros_fiscais_icms'
          ,id_livros_fiscais_ipi='$id_livros_fiscais_ipi'
          ,fl_pis_cofins_total='$fl_pis_cofins_total'
          ,fl_retem_iss='$fl_retem_iss'
          ,fl_calcula_icm_frete='$fl_calcula_icm_frete'
          ,fl_retem_pis='$fl_retem_pis'
          ,fl_retem_cof='$fl_retem_cof'
          ,id_poder_terceiros='$id_poder_terceiros'
          ,fl_retem_irrf='$fl_retem_irrf'
          ,fl_retem_inss='$fl_retem_inss'
          ,fl_retem_csll='$fl_retem_csll'
          ,fl_calcula_irrf='$fl_calcula_irrf'
          ,fl_calcula_inss='$fl_calcula_inss'
          ,fl_calcula_csll='$fl_calcula_csll'
          ,id_natureza_nfse='$id_natureza_nfse'
          ,fl_calcula_funr='$fl_calcula_funr'
          ,fl_retem_funr='$fl_retem_funr'
          ,nr_perc_reducao_icms_st='$nr_perc_reducao_icms_st'
          ,fl_desp_ac_icms='$fl_desp_ac_icms'
          ,fl_desconto_condicional='$fl_desconto_condicional'
          ,id_pagamento_imposto='$id_pagamento_imposto'
          ,id_dom_csosn='$id_dom_csosn'
          ,ds_icms_st_mt='$ds_icms_st_mt'
          ,ds_ipi_bc='$ds_ipi_bc'
          ,fl_icms_diferido='$fl_icms_diferido'
          ,nr_perc_icms_dif='$nr_perc_icms_dif'
          ,nr_perc_red_iss='$nr_perc_red_iss'
          ,ds_ajuste_ciap='$ds_ajuste_ciap'
          ,ds_info_st_anterior='$ds_info_st_anterior'
          ,ds_mat_consumo='$ds_mat_consumo'
          ,ds_cofins_zfranca='$ds_cofins_zfranca'
          ,ds_pis_zfranca='$ds_pis_zfranca'
          ,ds_ipi_bruto='$ds_ipi_bruto'
          ,ds_natureza_operacao='$ds_natureza_operacao'
          ,id_motivo_desoneracao='$id_motivo_desoneracao'
          ,erpc_dom_sit_trib_pis_id='$erpc_dom_sit_trib_pis_id'
          ,erpc_dom_sit_trib_cof_id='$erpc_dom_sit_trib_cof_id'";
  $sql .= " where id = $id";
}else
	if(isset($_POST['excluir'])) {
		$sql  = "update erpc_tipos_movimentacao set st_ativo = 0, id_usuario = $id_usuario, dh_alteracao=now()";
		$sql .= " where id = $id";
 }else
	if(isset($_POST['adicionar'])) {
		$sql = "insert into erpc_tipos_movimentacao(
             id
            ,tp_tipo
            ,ds_tipo
            ,fl_gera_duplicata
            ,fl_atualiza_estoque
            ,id_tipo_devolucao
            ,fl_atualiza_preco_compra
            ,fl_atualiza_origem
            ,ds_cfop
            ,fl_calcula_icms
            ,fl_calcula_ipi
            ,fl_calcula_iss
            ,id_agrega_solidario
            ,fl_desp_ac_ipi
            ,fl_credita_ipi
            ,nr_perc_reducao_ipi
            ,nr_perc_reducao_icms
            ,id_situacao_tributaria
            ,id_agrega_valor
            ,id_pis_cofins
            ,fl_credita_pis_cofins
            ,id_livros_fiscais_icms
            ,id_livros_fiscais_ipi
            ,fl_pis_cofins_total
            ,fl_retem_iss
            ,fl_calcula_icm_frete
            ,fl_retem_pis
            ,fl_retem_cof
            ,id_poder_terceiros
            ,fl_retem_irrf
            ,fl_retem_inss
            ,fl_retem_csll
            ,fl_calcula_irrf
            ,fl_calcula_inss
            ,fl_calcula_csll
            ,id_natureza_nfse
            ,fl_calcula_funr
            ,fl_retem_funr
            ,nr_perc_reducao_icms_st
            ,fl_desp_ac_icms
            ,fl_desconto_condicional
            ,id_pagamento_imposto
            ,id_dom_csosn
            ,ds_icms_st_mt
            ,ds_ipi_bc
            ,fl_icms_diferido
            ,nr_perc_icms_dif
            ,nr_perc_red_iss
            ,ds_ajuste_ciap
            ,ds_info_st_anterior
            ,ds_mat_consumo
            ,ds_cofins_zfranca
            ,ds_pis_zfranca
            ,ds_ipi_bruto
            ,ds_natureza_operacao
            ,id_motivo_desoneracao
            ,erpc_dom_sit_trib_pis_id
            ,erpc_dom_sit_trib_cof_id
            , st_ativo, id_usuario)";

		$sql .="values(
           '$id'
          ,'$tp_tipo'
          ,'$ds_tipo'
          ,'$fl_gera_duplicata'
          ,'$fl_atualiza_estoque'
          ,'$id_tipo_devolucao'
          ,'$fl_atualiza_preco_compra'
          ,'$fl_atualiza_origem'
          ,'$ds_cfop'
          ,'$fl_calcula_icms'
          ,'$fl_calcula_ipi'
          ,'$fl_calcula_iss'
          ,'$id_agrega_solidario'
          ,'$fl_desp_ac_ipi'
          ,'$fl_credita_ipi'
          ,'$nr_perc_reducao_ipi'
          ,'$nr_perc_reducao_icms'
          ,'$id_situacao_tributaria'
          ,'$id_agrega_valor'
          ,'$id_pis_cofins'
          ,'$fl_credita_pis_cofins'
          ,'$id_livros_fiscais_icms'
          ,'$id_livros_fiscais_ipi'
          ,'$fl_pis_cofins_total'
          ,'$fl_retem_iss'
          ,'$fl_calcula_icm_frete'
          ,'$fl_retem_pis'
          ,'$fl_retem_cof'
          ,'$id_poder_terceiros'
          ,'$fl_retem_irrf'
          ,'$fl_retem_inss'
          ,'$fl_retem_csll'
          ,'$fl_calcula_irrf'
          ,'$fl_calcula_inss'
          ,'$fl_calcula_csll'
          ,'$id_natureza_nfse'
          ,'$fl_calcula_funr'
          ,'$fl_retem_funr'
          ,'$nr_perc_reducao_icms_st'
          ,'$fl_desp_ac_icms'
          ,'$fl_desconto_condicional'
          ,'$id_pagamento_imposto'
          ,'$id_dom_csosn'
          ,'$ds_icms_st_mt'
          ,'$ds_ipi_bc'
          ,'$fl_icms_diferido'
          ,'$nr_perc_icms_dif'
          ,'$nr_perc_red_iss'
          ,'$ds_ajuste_ciap'
          ,'$ds_info_st_anterior'
          ,'$ds_mat_consumo'
          ,'$ds_cofins_zfranca'
          ,'$ds_pis_zfranca'
          ,'$ds_ipi_bruto'
          ,'$ds_natureza_operacao'
          ,'$id_motivo_desoneracao'
          ,'$erpc_dom_sit_trib_pis_id'
          ,'$erpc_dom_sit_trib_cof_id'
          , $st_ativo, $id_usuario)";
}

// executa sql
if($sql!=""){
  // troca as '' para campos nullos
  $sql = str_replace("''","null",$sql);

	$stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
	mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

  header("Location:erpc_tipos_movimentacao_list.php");
?>
